package com.qmth.themis.business.bean.backend;

import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("开放接口-待评卷考试记录")
public class OpenRecordNeedMarkBean {

	@ApiModelProperty(name = "考试记录id")
    private Long id;

	@ApiModelProperty(value = "证件号")
    private String identity;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "场次代码")
    private String activityCode;

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    @ApiModelProperty(value = "试卷ID")
    private Long paperId;
    
    @ApiModelProperty(value = "客观得分")
    private Double objectiveScore;
    
    @ApiModelProperty(value = "作答结果")
    private List<OpenRecordAnswerBean> answers;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getIdentity() {
		return identity;
	}

	public void setIdentity(String identity) {
		this.identity = identity;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getActivityCode() {
		return activityCode;
	}

	public void setActivityCode(String activityCode) {
		this.activityCode = activityCode;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public Long getPaperId() {
		return paperId;
	}

	public void setPaperId(Long paperId) {
		this.paperId = paperId;
	}

	public Double getObjectiveScore() {
		return objectiveScore;
	}

	public void setObjectiveScore(Double objectiveScore) {
		this.objectiveScore = objectiveScore;
	}

	public List<OpenRecordAnswerBean> getAnswers() {
		return answers;
	}

	public void setAnswers(List<OpenRecordAnswerBean> answers) {
		this.answers = answers;
	}
    
}
